diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 7808241d3f..6e545a1d15 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -11298,7 +11298,7 @@ transformColumnNameList(Oid relId, List *colList,
 					 errmsg("column \"%s\" referenced in foreign key constraint does not exist",
 							attname)));
 		attform = (Form_pg_attribute) GETSTRUCT(atttuple);
-		if (attform->attnum < 0)
+		if (attform->attnum <= 0)
 			ereport(ERROR,
 					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
 					 errmsg("system columns cannot be used in foreign keys")));
